% approximate low and hiogh temperatures in SLC by sin and cos
% curve
% see http://www.rssweather.com/climate/Utah/Salt%20Lake%20City/

low=[21.3;25.5;33.4;39.0;46.9;55.8;63.4;62.4;52.4;41.0;30.4;22.4]

pi = 2.0*acos(0.0);

for i =1:12
  O(i,1) = 1.0;
  S(i,1) = sin(2*(i-1)/12*pi);
  C(i,1) = cos(2*(i-1)/12*pi);
end

A=[O'*O,O'*S,O'*C;S'*O,S'*S,S'*C;C'*O,C'*S,C'*C]
B=[O'*low;S'*low;C'*low];

X= A\B

for i = 1:12
  app = X(1) + X(2)*S(i,1) + X(3)*C(i,1);
  err = low(i)-app;
  res = [i,low(i), app, err];
  disp(res)
end

  
 
  
  
  
  
  
