% approximate low and high temperatures in SLC by sin and cos
% curve
% see http://www.rssweather.com/climate/Utah/Salt%20Lake%20City/

high=[37.0;43.4;52.8;60.9;70.6;82.2;90.6;88.7;77.6;64.0;48.7;38.0];

pi = 2.0*acos(0.0);

for i =1:12
  O(i,1) = 1.0;
  S(i,1) = sin(i/6*pi);
  C(i,1) = cos(i/6*pi);
end

A=[O'*O,O'*S,O'*C;S'*O,S'*S,S'*C;C'*O,C'*S,C'*C]
B=[O'*high;S'*high;C'*high];

X= A\B

for i = 1:12
  app = X(1) + X(2)*S(i,1) + X(3)*C(i,1);
  err = high(i)-app;
  res = [i,high(i), app, err];
  disp(res)
end
